Package ch.qos.logback.core.pattern.color

# Class BoldWhiteCompositeConverter<E>

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<E>
ch.qos.logback.core.pattern.CompositeConverter<E>
ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase<E>
ch.qos.logback.core.pattern.color.BoldWhiteCompositeConverter<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

public class BoldWhiteCompositeConverter<E> extends ForegroundCompositeConverterBase<E>
Encloses a given set of converter output in bold white using the appropriate ANSI escape codes.

Since:
  1.0.5
Author:
  Ceki Gülcü

## Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`BoldWhiteCompositeConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getForegroundColorCode(E event)`
Derived classes return the foreground color specific to the derived class instance.

### Methods inherited from class ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase

`transform`

### Methods inherited from class ch.qos.logback.core.pattern.CompositeConverter

`convert, getChildConverter, setChildConverter, toString`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BoldWhiteCompositeConverter

public BoldWhiteCompositeConverter()

## Method Details

### getForegroundColorCode

protected String getForegroundColorCode(E event)
Description copied from class: `ForegroundCompositeConverterBase`
Derived classes return the foreground color specific to the derived class instance.

Specified by:
  `getForegroundColorCode` in class `ForegroundCompositeConverterBase<E>`
Returns:
  the foreground color for this instance